//对象转换为json字符串
function json2str(o) {
	var arr = [];
	var fmt = function(s) {
		if (typeof s == 'object' && s != null) return json2str(s);
		return /^(string|number)$/.test(typeof s) ? "'" + s + "'": s;
	}
	for (var i in o) arr.push("'" + i + "':" + fmt(o[i]));
	return '{' + arr.join(',') + '}';
}

//json字符串转换为对象
function str2json(o) {
	o = eval("(" + o + ")");
	return o;
}

//菊花
function showLoding(id) {
	$(id).css("display", "block");
}
function hideLoding(id) {
	$(id).css("display", "none");
}

//转换银行卡格式
function changeCardType(cardNo) {
    var noSpaceCardNo = cardNo.replace(/\s+/g, "");
	var result = "";
	for (i = 0; i < noSpaceCardNo.length; i++) {
		if (i % 4 == 0 && i != 0) result += '  ';
		result += noSpaceCardNo[i];
	}
	return result;
}
/**
 isShowBack 是否显示返回按钮
 fileName   下个页面的文件名
 pageName   下个页面的名字(打点用);
 pageTitle   下个页面的标题
 backType    0表示出栈,1表示销毁栈
 **/

function pushPage(paramData,isShowBack,fileName,pageName,pageTitle,backType) {
    paramData.isShowBack = isShowBack;
    paramData.fileName = fileName;
    paramData.pageName = pageName;
    paramData.pageTitle = pageTitle;
    paramData.backType = (backType == undefined?"0":"1");
    
	if (window.urlproxy) {
		urlproxy.invoke("http://tbj.change/guessit.html", json2str(paramData),"","");
	} else $.ajax({
                  url: "http://tbj.change/guessit.html",
                  type: 'POST',
                  dataType: 'json',
                  data: JSON.stringify(paramData),
                  timeout: 300,
                  contentType: 'application/json; charset=utf-8',
                  success: function(result) {},
                  error: function(result) {}
    });
}

function popPage(){
    if (window.urlproxy) {
		urlproxy.invoke("http://tbj.native/pop.html", null,"","");
	} else $.ajax({
                  url: "http://tbj.native/pop.html",
                  type: 'POST',
                  dataType: 'json',
                  timeout: 300,
                  contentType: 'application/json; charset=utf-8',
                  success: function(result) {},
                  error: function(result) {}
                  });
}

var alertDialog=function(text){
    var text=text;
    if(window.urlproxy){
        urlproxy.alert(text);
    }else{
        alert(text);
    }
}
var toolTip=function(params){
	var target=params.target,//获取焦点的元素。即在哪个什么出现提示框
		frameCls=params.frameCls,//提示框的的类名
		frameStyle=params.frameStyle,//提示框的样式,为一个样式表字符串
		cooditionArr=params.cooditionArr;//要分隔的段位,为一个数组
		
	var frame=null,
		cooditionFunc=function(pos){
			var val=0;
			for(var i=0;i<cooditionArr.length;i++){
				val+=cooditionArr[i];
				
				if(pos==val){
					return true;	
				}
			}
			return false;
		},
		hanlder={
			keyup:function(event){
				var frame=event.data.frame,
					cooditionFunc=event.data.cooditionFunc;
					
				var val=$(this).val().replace(/\s+/,"");
				var str="";
				
				if(val.length>0){
					for(var i=0;i<val.length;i++){
						if(cooditionFunc(i)){
							str+=" "+val[i];	
						}else{
							str+=val[i];	
						}
					}
					frame.css("display","block");
				}else{
					frame.css("display","none");	
				}
				frame.text(str);
			},
			focus:function(event){
				var frame=event.data.frame;
	
				var val=$(this).val().replace(/\s+/,"");
				if(val.length>0){
					frame.css("display","block");	
				}
			},
			blur:function(event){
				var frame=event.data.frame;
				if(frame){
					frame.css("display","none");	
				}
			}
			
		}
	
	target.after(frameStyle);
	frame=$("<div class="+frameCls+"></div>").insertAfter(target);

	target.bind("keyup",{frame:frame,cooditionFunc:cooditionFunc},hanlder.keyup);
	target.bind("focus",{frame:frame},hanlder.focus);
	target.bind("blur",{frame:frame},hanlder.blur);
}

var requestData = function(params) { //请求数据
	var url = params.url,
		data = params.data || null,
		source = params.source || null,
		isCallBack = params.isCallBack || false;
    
	if (window.urlproxy) {
		if (url.indexOf("tbj.native") > 0) {
			urlproxy.invoke(url, JSON.stringify(data), "dataCallBack", source); //
		} else {
			urlproxy.post(url, JSON.stringify(data), "dataCallBack", source); //
		}
	} else {
		$.ajax({
			url: url,
			type: 'POST',
			dataType: 'json',
			timeout: 60000,
			data: JSON.stringify(data),
			processData: true,
			contentType: 'application/json; charset=utf-8',
			error: function(result) {
				if (isCallBack) {
					dataCallBack(0, result, source); //是否拿到数据
				}
			},
			success: function(result) {
				
				if (isCallBack) {
					dataCallBack(1, result, source);
				}
			}
		});
	}
};
