//取现方法
function redeemFun() {
	var isWithdrawAll = "0";
	if (parseFloat(nessaryData.withdrawMoney) == parseFloat(nessaryData.policyValue)) {
		isWithdrawAll = "1";
	}
	var data = {
    orderId: nessaryData.orderId,
    taId: nessaryData.taId,
    policyNo: nessaryData.policyNo,
    policyValue: nessaryData.policyValue,
    withdrawMoney: nessaryData.withdrawMoney,
    productName: nessaryData.productName,
    productId: nessaryData.productId,
    cardCode: nessaryData.cardNo,
    availableMoney: nessaryData.availableMoney,
    bankCode: nessaryData.bankCode,
    isWithdrawAll: isWithdrawAll
	};
	showLoding("#redeemInfo #loadingLayer");
	showLoding("#forceRedeemInfo #loadingLayer");
	showLoding("#hesitatePeriodRedeemConfirm #loadingLayer");
	var url = 'http://tbj.web/member/hk/redeem.htm';
    
	if (window.urlproxy) {
		urlproxy.post(url, json2str(data), 'redeemFunCallback', null);
	} else $.ajax({
                  url: url,
                  type: 'POST',
                  dataType: 'json',
                  data: json2str(data),
                  timeout: 35000,
                  contentType: 'application/json; charset=utf-8',
                  error: function(error) {
                  redeemFunCallback(0, error, null);
                  },
                  success: function(result) {
                  redeemFunCallback(1, result, null);
                  }
                  });
}

//取现方法回调
function redeemFunCallback(flag, result, extra) {
	if (window.urlproxy) {
		result = str2json(result);
	}
	if (flag == 1) {
		hideLoding("#redeemInfo #loadingLayer");
		hideLoding("#forceRedeemInfo #loadingLayer");
		hideLoding("#hesitatePeriodRedeemConfirm #loadingLayer");
		if (result.statusCode == "200") {
			nessaryData.resultMsg = result.data.message;
			notificationNativeReedemSuccess();
			pushPage(nessaryData,"flase","remandPage.html","交易状态","交易状态");
		} else {
			nessaryData.resultMsg = "当前网络无响应,请稍后再试";
			pushPage(nessaryData,"true","remandPage.html","交易状态","交易状态");
		}
	} else {
		hideLoding("#redeemInfo #loadingLayer");
		hideLoding("#forceRedeemInfo #loadingLayer");
		hideLoding("#hesitatePeriodRedeemConfirm #loadingLayer");
        
		nextBtn.attr("disabled", false);
		nessaryData.resultMsg = "当前网络无响应,请稍后再试";
		pushPage(nessaryData,"true","remandPage.html","交易状态","交易状态");
	}
}

//取现核算方法 type 0 犹豫期 ,1 非犹豫期
function redeemConfirm(data, type) {
	if (type == 0) {
		showLoding("#hesitatePeriodRedeem #loadingLayer");
	} else {
		showLoding("#redeem #loadingLayer");
	}
	var url = 'http://tbj.web/member/hk/refundcharge.htm';
    
	if (window.urlproxy) {
		urlproxy.post(url, json2str(data), 'redeemConfirmCallback', type);
	} else $.ajax({
                  url: url,
                  type: 'POST',
                  dataType: 'json',
                  data: json2str(data),
                  timeout: 35000,
                  contentType: 'application/json; charset=utf-8',
                  error: function(error) {
                  redeemConfirmCallback(0, error, type);
                  },
                  success: function(result) {
                  redeemConfirmCallback(1, result, type);
                  }
                  });
}

//取现核算方法回调
function redeemConfirmCallback(flag, result, extra) {
	if (window.urlproxy) {
		result = str2json(result);
	}
	if (flag == 1) {
		hideLoding("#hesitatePeriodRedeem #loadingLayer");
		hideLoding("#redeem #loadingLayer");
		if (result.statusCode == "200") {
			var statusArray = result.data.status.split("|");
			var stepArray = result.data.type.split("|");
			if (statusArray[0] == 0) {
				nessaryData.availableMoney = parseFloat(result.data.refundCharge.availableMoney).toFixed(2);
				nessaryData.withdrawMoney = parseFloat(result.data.refundCharge.withdrawMoney).toFixed(2);
				nessaryData.policyValue = parseFloat(result.data.refundCharge.policyValue).toFixed(2);
				nessaryData.redeem_message = result.data.refundCharge.message;
				if (parseInt(extra) == 0) {
					pushPage(nessaryData,"true","hesitatePeriodRedeemConfirm.html","取现信息确认","取现信息确认","1");
                    
				} else {
					if (parseFloat(result.data.refundCharge.availableMoney) == parseFloat(result.data.refundCharge.withdrawMoney)) {
						pushPage(nessaryData,"true","redeemInfo.html","取现信息确认","取现信息确认");
					} else {
						pushPage(nessaryData,"true","forceRedeemInfo.html","取现信息确认","取现信息确认");
					}
				}
                
			} else {
				nessaryData.resultMsg = result.data.message;
				pushPage(nessaryData,"false","remandPage.html","提示","提示");
			}
            
		} else {
			nessaryData.resultMsg = "当前网络无响应,请稍后再试";
			pushPage(nessaryData,"false","remandPage.html","提示","提示");
		}
	} else {
		hideLoding("#hesitatePeriodRedeem #loadingLayer");
		hideLoding("#redeem #loadingLayer");
		nextBtn.attr("disabled", false);
		nessaryData.resultMsg = "当前网络无响应,请稍后再试";
		pushPage(nessaryData,"false","remandPage.html","提示","提示");
	}
}

//犹豫期取现
$(".hesitatePeriodRedeemConfirm_next").click(function() {
                                             redeemFun();
                                             });

//其他取现
$(".redeemInfo_next").click(function() {
                            redeemFun();
                            });

//强制取现
$(".forceRedeem_next").click(function() {
                             redeemFun();
                             });
//犹豫期取现
var nextBtn = $(".hesitatePeriodRedeem_next").click(function() {
            pushPage(nessaryData,"true","hesitatePeriodRedeemConfirm.html","犹豫期取现确认","犹豫期取现确认");
                                                    });
//通知本地取现成功
function notificationNativeReedemSuccess() {
    var url = 'http://tbj.native/redeemSuccess.htm';
    
    if (window.urlproxy) {
        urlproxy.invoke(url, json2str(null),"","");
    }
    else
        $.ajax({
               url: url,
               type: 'POST',
               dataType: 'json',
               timeout: 300,
               contentType: 'application/json; charset=utf-8',
               error: function (error) {
               },
               success: function (result) {
               }
               });
}